Skip to main content

STH Supply Change

sth-change

Chart: STH Supply Change

Parameters

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output

IndexNameTypeDescription
0datestringDate (ISO)
1closing_pricestringClosing price
2field_30_day_sth_supply_changestring30-day STH supply change
3colorstringColor ('#0f0' positive / '#f00' negative)

Example Request

https://charts.bitbo.io/api/v1/sth-change/?start_date=2025-05-06&end_date=2025-05-09

Example Request with Latest

https://charts.bitbo.io/api/v1/sth-change/?latest=true

Code Samples

curl "https://charts.bitbo.io/api/v1/sth-change/?start_date=2025-05-06&end_date=2025-05-09&api_key=YOUR_API_KEY"

Example Output

{
"data": [
[
"2025-05-07",
"97151.387",
"-356140.18639792",
"#f00"
],
[
"2025-05-08",
"103043.546",
"-359111.89714746",
"#f00"
],
[
"2025-05-09",
"102912.250",
"-378002.38239662",
"#f00"
]
]
}